Kea: isc::netconf::CfgServer Class Reference

| Kea 3.2.0-git

isc::netconf::CfgServer Class Reference

Represents a Managed CfgServer. More...

`#include <netconf_config.h>`

Inheritance diagram for isc::netconf::CfgServer:
[legend]

## Public Member Functions
| CfgServer (const std::string &model, CfgControlSocketPtr ctrl_sock)
| Constructor.
virtual | ~CfgServer ()=default
| Destructor (doing nothing).
bool | getBootUpdate () const
| Getter which returns the boot-update flag.
const CfgControlSocketPtr & | getCfgControlSocket () const
| Getter which returns the control socket.
const std::string | getModel () const
| Getter which returns the model name.
bool | getSubscribeChanges () const
| Getter which returns the subscribe-changes flag.
bool | getSubscribeNotifications () const
| Getter which returns the subscribe-changes flag.
bool | getValidateChanges () const
| Getter which returns the validate-changes flag.
void | setBootUpdate (bool boot_update)
| Set the boot-update flag.
void | setSubscribeChanges (bool subscribe_changes)
| Set the subscribe-changes flag.
void | setSubscribeNotifications (bool subscribe_notifications)
| Set the subscribe-notifications flag.
void | setValidateChanges (bool validate_changes)
| Set the validate-changes flag.
isc::data::ElementPtr | toElement () const override final
| Unparse a configuration object.
std::string | toText () const
| Returns a text representation for the server.
Public Member Functions inherited from isc::data::UserContext
void | contextToElement (data::ElementPtr map) const
| Merge unparse a user_context object.
data::ConstElementPtr | getContext () const
| Returns const pointer to the user context.
void | setContext (const data::ConstElementPtr &ctx)
| Sets user context.
Public Member Functions inherited from isc::data::CfgToElement
virtual | ~CfgToElement ()
| Destructor.

## Additional Inherited Members
Static Public Member Functions inherited from isc::data::UserContext
static data::ElementPtr | toElement (data::ConstElementPtr map)
| Copy an Element map.
Protected Attributes inherited from isc::data::UserContext
data::ConstElementPtr | user_context_
| Pointer to the user context (may be NULL).

## Detailed Description

Represents a Managed CfgServer.

Acts as a storage class containing the basic attributes and the Control Socket which describe a Managed CfgServer.

Definition at line 149 of file netconf_config.h.

## Constructor & Destructor Documentation

## ◆ CfgServer()

isc::netconf::CfgServer::CfgServer | ( | const std::string & | model,
|  | CfgControlSocketPtr | ctrl_sock )

Constructor.

Parameters

  model | The model name.
  ctrl_sock | The control socket.

Definition at line 75 of file netconf_config.cc.

## ◆ ~CfgServer()

virtual isc::netconf::CfgServer::~CfgServer | ( |  | ) |
| virtualdefault

Destructor (doing nothing).

## Member Function Documentation

## ◆ getBootUpdate()

bool isc::netconf::CfgServer::getBootUpdate | ( |  | ) | const
| inline

Getter which returns the boot-update flag.

Returns
  returns the boot-update flag as a bool.

Definition at line 177 of file netconf_config.h.

Referenced by isc::netconf::NetconfAgent::keaConfig(), and isc::netconf::NetconfAgent::yangConfig().

## ◆ getCfgControlSocket()

const CfgControlSocketPtr & isc::netconf::CfgServer::getCfgControlSocket | ( |  | ) | const
| inline

Getter which returns the control socket.

Returns
  returns the control socket as a CfgControlSocketPtr.

Definition at line 170 of file netconf_config.h.

Referenced by isc::netconf::NetconfAgent::change(), isc::netconf::NetconfAgent::done(), isc::netconf::NetconfAgent::keaConfig(), and isc::netconf::NetconfAgent::yangConfig().

## ◆ getModel()

const std::string isc::netconf::CfgServer::getModel | ( |  | ) | const
| inline

Getter which returns the model name.

Returns
  returns the model name as a std::string

Definition at line 163 of file netconf_config.h.

Referenced by isc::netconf::NetconfAgent::change(), isc::netconf::NetconfAgent::done(), isc::netconf::NetconfAgent::subscribeToDataChanges(), isc::netconf::NetconfAgent::subscribeToNotifications(), and isc::netconf::NetconfAgent::yangConfig().

## ◆ getSubscribeChanges()

bool isc::netconf::CfgServer::getSubscribeChanges | ( |  | ) | const
| inline

Getter which returns the subscribe-changes flag.

Returns
  returns the subscribe-changes flag as a bool.

Definition at line 191 of file netconf_config.h.

Referenced by isc::netconf::NetconfAgent::change(), isc::netconf::NetconfAgent::done(), and isc::netconf::NetconfAgent::subscribeToDataChanges().

## ◆ getSubscribeNotifications()

bool isc::netconf::CfgServer::getSubscribeNotifications | ( |  | ) | const
| inline

Getter which returns the subscribe-changes flag.

Returns
  returns the subscribe-changes flag as a bool.

Definition at line 198 of file netconf_config.h.

Referenced by isc::netconf::NetconfAgent::subscribeToNotifications().

## ◆ getValidateChanges()

bool isc::netconf::CfgServer::getValidateChanges | ( |  | ) | const
| inline

Getter which returns the validate-changes flag.

Returns
  returns the validate-changes flag as a bool.

Definition at line 219 of file netconf_config.h.

Referenced by isc::netconf::NetconfAgent::change(), and isc::netconf::NetconfAgent::subscribeToDataChanges().

## ◆ setBootUpdate()

void isc::netconf::CfgServer::setBootUpdate | ( | bool | boot_update | ) |
| inline

Set the boot-update flag.

Parameters

  boot_update | The boot-update flag.

Definition at line 184 of file netconf_config.h.

## ◆ setSubscribeChanges()

void isc::netconf::CfgServer::setSubscribeChanges | ( | bool | subscribe_changes | ) |
| inline

Set the subscribe-changes flag.

Parameters

  subscribe_changes | The subscribe-changes flag.

Definition at line 205 of file netconf_config.h.

## ◆ setSubscribeNotifications()

void isc::netconf::CfgServer::setSubscribeNotifications | ( | bool | subscribe_notifications | ) |
| inline

Set the subscribe-notifications flag.

Parameters

  subscribe_notifications | the subscribe-notifications flag

Definition at line 212 of file netconf_config.h.

## ◆ setValidateChanges()

void isc::netconf::CfgServer::setValidateChanges | ( | bool | validate_changes | ) |
| inline

Set the validate-changes flag.

Parameters

  validate_changes | The validate-changes flag.

Definition at line 226 of file netconf_config.h.

## ◆ toElement()

ElementPtr isc::netconf::CfgServer::toElement | ( |  | ) | const
| finaloverridevirtual

Unparse a configuration object.

Returns
  a pointer to a configuration

Implements isc::data::CfgToElement.

Definition at line 104 of file netconf_config.cc.

References isc::data::UserContext::contextToElement(), Element::create(), and Element::createMap().

Here is the call graph for this function:

## ◆ toText()

string isc::netconf::CfgServer::toText | ( |  | ) | const

Returns a text representation for the server.

Definition at line 82 of file netconf_config.cc.

References isc::netconf::CfgControlSocket::HTTP, isc::netconf::CfgControlSocket::STDOUT, and isc::netconf::CfgControlSocket::UNIX.

Referenced by isc::netconf::operator<<().

The documentation for this class was generated from the following files:

- netconf_config.h
- netconf_config.cc